configmgr_be.h File Reference
`#include <gwenhywfar/configmgr.h>`
`#include <gwenhywfar/plugin.h>`

Go to the source code of this file.

## Typedefs

typedef int GWENHYWFAR_CB(* | GWEN_CONFIGMGR_DELETEGROUP_FN) (GWEN_CONFIGMGR *mgr, const char *groupName, const char *subGroupName)
typedef int GWENHYWFAR_CB(* | GWEN_CONFIGMGR_GETGROUP_FN) (GWEN_CONFIGMGR *mgr, const char *groupName, const char *subGroupName, GWEN_DB_NODE **pDb)
typedef int GWENHYWFAR_CB(* | GWEN_CONFIGMGR_GETUNIQUEID_FN) (GWEN_CONFIGMGR *mgr, const char *groupName, char *buffer, uint32_t bufferLen)
typedef int GWENHYWFAR_CB(* | GWEN_CONFIGMGR_HASGROUP_FN) (GWEN_CONFIGMGR *mgr, const char *groupName, const char *subGroupName)
typedef int GWENHYWFAR_CB(* | GWEN_CONFIGMGR_LISTGROUPS_FN) (GWEN_CONFIGMGR *mgr, GWEN_STRINGLIST *sl)
typedef int GWENHYWFAR_CB(* | GWEN_CONFIGMGR_LISTSUBGROUPS_FN) (GWEN_CONFIGMGR *mgr, const char *groupName, GWEN_STRINGLIST *sl)
typedef int GWENHYWFAR_CB(* | GWEN_CONFIGMGR_LOCKGROUP_FN) (GWEN_CONFIGMGR *mgr, const char *groupName, const char *subGroupName)
typedef int GWENHYWFAR_CB(* | GWEN_CONFIGMGR_MKUNIQUEIDFROMID_FN) (GWEN_CONFIGMGR *mgr, const char *groupName, uint32_t uid, int doCheck, char *buffer, uint32_t bufferLen)
typedef GWEN_CONFIGMGR *(* | GWEN_CONFIGMGR_PLUGIN_FACTORYFN) (GWEN_PLUGIN *pl, const char *url)
typedef int GWENHYWFAR_CB(* | GWEN_CONFIGMGR_SETGROUP_FN) (GWEN_CONFIGMGR *mgr, const char *groupName, const char *subGroupName, GWEN_DB_NODE *db)
typedef int GWENHYWFAR_CB(* | GWEN_CONFIGMGR_UNLOCKGROUP_FN) (GWEN_CONFIGMGR *mgr, const char *groupName, const char *subGroupName)

## Functions

GWENHYWFAR_API GWEN_CONFIGMGR * | GWEN_ConfigMgr_new (const char *url)
GWENHYWFAR_API GWEN_PLUGIN * | GWEN_ConfigMgr_Plugin_new (GWEN_PLUGIN_MANAGER *pm, const char *name, const char *fileName)
GWENHYWFAR_API void | GWEN_ConfigMgr_Plugin_SetFactoryFn (GWEN_PLUGIN *pl, GWEN_CONFIGMGR_PLUGIN_FACTORYFN f)
GWENHYWFAR_API GWEN_CONFIGMGR_DELETEGROUP_FN | GWEN_ConfigMgr_SetDeleteGroupFn (GWEN_CONFIGMGR *mgr, GWEN_CONFIGMGR_DELETEGROUP_FN f)
GWENHYWFAR_API GWEN_CONFIGMGR_GETGROUP_FN | GWEN_ConfigMgr_SetGetGroupFn (GWEN_CONFIGMGR *mgr, GWEN_CONFIGMGR_GETGROUP_FN f)
GWENHYWFAR_API GWEN_CONFIGMGR_GETUNIQUEID_FN | GWEN_ConfigMgr_SetGetUniqueIdFn (GWEN_CONFIGMGR *mgr, GWEN_CONFIGMGR_GETUNIQUEID_FN f)
GWENHYWFAR_API GWEN_CONFIGMGR_HASGROUP_FN | GWEN_ConfigMgr_SetHasGroupFn (GWEN_CONFIGMGR *mgr, GWEN_CONFIGMGR_HASGROUP_FN f)
GWENHYWFAR_API GWEN_CONFIGMGR_LISTGROUPS_FN | GWEN_ConfigMgr_SetListGroupsFn (GWEN_CONFIGMGR *mgr, GWEN_CONFIGMGR_LISTGROUPS_FN f)
GWENHYWFAR_API GWEN_CONFIGMGR_LISTSUBGROUPS_FN | GWEN_ConfigMgr_SetListSubGroupsFn (GWEN_CONFIGMGR *mgr, GWEN_CONFIGMGR_LISTSUBGROUPS_FN f)
GWENHYWFAR_API GWEN_CONFIGMGR_LOCKGROUP_FN | GWEN_ConfigMgr_SetLockGroupFn (GWEN_CONFIGMGR *mgr, GWEN_CONFIGMGR_LOCKGROUP_FN f)
GWENHYWFAR_API GWEN_CONFIGMGR_MKUNIQUEIDFROMID_FN | GWEN_ConfigMgr_SetMkUniqueIdFromIdFn (GWEN_CONFIGMGR *mgr, GWEN_CONFIGMGR_MKUNIQUEIDFROMID_FN f)
GWENHYWFAR_API GWEN_CONFIGMGR_SETGROUP_FN | GWEN_ConfigMgr_SetSetGroupFn (GWEN_CONFIGMGR *mgr, GWEN_CONFIGMGR_SETGROUP_FN f)
GWENHYWFAR_API GWEN_CONFIGMGR_UNLOCKGROUP_FN | GWEN_ConfigMgr_SetUnlockGroupFn (GWEN_CONFIGMGR *mgr, GWEN_CONFIGMGR_UNLOCKGROUP_FN f)

## Typedef Documentation

## GWEN_CONFIGMGR_DELETEGROUP_FN

typedef int GWENHYWFAR_CB(* GWEN_CONFIGMGR_DELETEGROUP_FN) (GWEN_CONFIGMGR *mgr, const char *groupName, const char *subGroupName)

Definition at line 73 of file configmgr_be.h.

## GWEN_CONFIGMGR_GETGROUP_FN

typedef int GWENHYWFAR_CB(* GWEN_CONFIGMGR_GETGROUP_FN) (GWEN_CONFIGMGR *mgr, const char *groupName, const char *subGroupName, GWEN_DB_NODE **pDb)

Definition at line 39 of file configmgr_be.h.

## GWEN_CONFIGMGR_GETUNIQUEID_FN

typedef int GWENHYWFAR_CB(* GWEN_CONFIGMGR_GETUNIQUEID_FN) (GWEN_CONFIGMGR *mgr, const char *groupName, char *buffer, uint32_t bufferLen)

Definition at line 61 of file configmgr_be.h.

## GWEN_CONFIGMGR_HASGROUP_FN

typedef int GWENHYWFAR_CB(* GWEN_CONFIGMGR_HASGROUP_FN) (GWEN_CONFIGMGR *mgr, const char *groupName, const char *subGroupName)

Definition at line 49 of file configmgr_be.h.

## GWEN_CONFIGMGR_LISTGROUPS_FN

typedef int GWENHYWFAR_CB(* GWEN_CONFIGMGR_LISTGROUPS_FN) (GWEN_CONFIGMGR *mgr, GWEN_STRINGLIST *sl)

Definition at line 77 of file configmgr_be.h.

## GWEN_CONFIGMGR_LISTSUBGROUPS_FN

typedef int GWENHYWFAR_CB(* GWEN_CONFIGMGR_LISTSUBGROUPS_FN) (GWEN_CONFIGMGR *mgr, const char *groupName, GWEN_STRINGLIST *sl)

Definition at line 80 of file configmgr_be.h.

## GWEN_CONFIGMGR_LOCKGROUP_FN

typedef int GWENHYWFAR_CB(* GWEN_CONFIGMGR_LOCKGROUP_FN) (GWEN_CONFIGMGR *mgr, const char *groupName, const char *subGroupName)

Definition at line 53 of file configmgr_be.h.

## GWEN_CONFIGMGR_MKUNIQUEIDFROMID_FN

typedef int GWENHYWFAR_CB(* GWEN_CONFIGMGR_MKUNIQUEIDFROMID_FN) (GWEN_CONFIGMGR *mgr, const char *groupName, uint32_t uid, int doCheck, char *buffer, uint32_t bufferLen)

Definition at line 66 of file configmgr_be.h.

## GWEN_CONFIGMGR_PLUGIN_FACTORYFN

typedef GWEN_CONFIGMGR *(* GWEN_CONFIGMGR_PLUGIN_FACTORYFN) (GWEN_PLUGIN *pl, const char *url)

Definition at line 131 of file configmgr_be.h.

## GWEN_CONFIGMGR_SETGROUP_FN

typedef int GWENHYWFAR_CB(* GWEN_CONFIGMGR_SETGROUP_FN) (GWEN_CONFIGMGR *mgr, const char *groupName, const char *subGroupName, GWEN_DB_NODE *db)

Definition at line 44 of file configmgr_be.h.

## GWEN_CONFIGMGR_UNLOCKGROUP_FN

typedef int GWENHYWFAR_CB(* GWEN_CONFIGMGR_UNLOCKGROUP_FN) (GWEN_CONFIGMGR *mgr, const char *groupName, const char *subGroupName)

Definition at line 57 of file configmgr_be.h.

## Function Documentation

## GWEN_ConfigMgr_new()

GWENHYWFAR_API GWEN_CONFIGMGR * GWEN_ConfigMgr_new | ( | const char * | url | ) |

## GWEN_ConfigMgr_Plugin_new()

GWENHYWFAR_API GWEN_PLUGIN * GWEN_ConfigMgr_Plugin_new | ( | GWEN_PLUGIN_MANAGER * | pm,
|  | const char * | name,
|  | const char * | fileName )

References GWENHYWFAR_API.

## GWEN_ConfigMgr_Plugin_SetFactoryFn()

GWENHYWFAR_API void GWEN_ConfigMgr_Plugin_SetFactoryFn | ( | GWEN_PLUGIN * | pl,
|  | GWEN_CONFIGMGR_PLUGIN_FACTORYFN | f )

## GWEN_ConfigMgr_SetDeleteGroupFn()

GWENHYWFAR_API GWEN_CONFIGMGR_DELETEGROUP_FN GWEN_ConfigMgr_SetDeleteGroupFn | ( | GWEN_CONFIGMGR * | mgr,
|  | GWEN_CONFIGMGR_DELETEGROUP_FN | f )

References GWENHYWFAR_API.

## GWEN_ConfigMgr_SetGetGroupFn()

GWENHYWFAR_API GWEN_CONFIGMGR_GETGROUP_FN GWEN_ConfigMgr_SetGetGroupFn | ( | GWEN_CONFIGMGR * | mgr,
|  | GWEN_CONFIGMGR_GETGROUP_FN | f )

References GWENHYWFAR_API.

## GWEN_ConfigMgr_SetGetUniqueIdFn()

GWENHYWFAR_API GWEN_CONFIGMGR_GETUNIQUEID_FN GWEN_ConfigMgr_SetGetUniqueIdFn | ( | GWEN_CONFIGMGR * | mgr,
|  | GWEN_CONFIGMGR_GETUNIQUEID_FN | f )

References GWENHYWFAR_API.

## GWEN_ConfigMgr_SetHasGroupFn()

GWENHYWFAR_API GWEN_CONFIGMGR_HASGROUP_FN GWEN_ConfigMgr_SetHasGroupFn | ( | GWEN_CONFIGMGR * | mgr,
|  | GWEN_CONFIGMGR_HASGROUP_FN | f )

References GWENHYWFAR_API.

## GWEN_ConfigMgr_SetListGroupsFn()

GWENHYWFAR_API GWEN_CONFIGMGR_LISTGROUPS_FN GWEN_ConfigMgr_SetListGroupsFn | ( | GWEN_CONFIGMGR * | mgr,
|  | GWEN_CONFIGMGR_LISTGROUPS_FN | f )

References GWENHYWFAR_API.

## GWEN_ConfigMgr_SetListSubGroupsFn()

GWENHYWFAR_API GWEN_CONFIGMGR_LISTSUBGROUPS_FN GWEN_ConfigMgr_SetListSubGroupsFn | ( | GWEN_CONFIGMGR * | mgr,
|  | GWEN_CONFIGMGR_LISTSUBGROUPS_FN | f )

## GWEN_ConfigMgr_SetLockGroupFn()

GWENHYWFAR_API GWEN_CONFIGMGR_LOCKGROUP_FN GWEN_ConfigMgr_SetLockGroupFn | ( | GWEN_CONFIGMGR * | mgr,
|  | GWEN_CONFIGMGR_LOCKGROUP_FN | f )

References GWENHYWFAR_API.

## GWEN_ConfigMgr_SetMkUniqueIdFromIdFn()

GWENHYWFAR_API GWEN_CONFIGMGR_MKUNIQUEIDFROMID_FN GWEN_ConfigMgr_SetMkUniqueIdFromIdFn | ( | GWEN_CONFIGMGR * | mgr,
|  | GWEN_CONFIGMGR_MKUNIQUEIDFROMID_FN | f )

References GWENHYWFAR_API.

## GWEN_ConfigMgr_SetSetGroupFn()

GWENHYWFAR_API GWEN_CONFIGMGR_SETGROUP_FN GWEN_ConfigMgr_SetSetGroupFn | ( | GWEN_CONFIGMGR * | mgr,
|  | GWEN_CONFIGMGR_SETGROUP_FN | f )

References GWENHYWFAR_API.

## GWEN_ConfigMgr_SetUnlockGroupFn()

GWENHYWFAR_API GWEN_CONFIGMGR_UNLOCKGROUP_FN GWEN_ConfigMgr_SetUnlockGroupFn | ( | GWEN_CONFIGMGR * | mgr,
|  | GWEN_CONFIGMGR_UNLOCKGROUP_FN | f )

References GWENHYWFAR_API.